Mailinglist Archive: opensuse-updates (119 mails)

< Previous Next >
openSUSE-SU-2017:3362-1: moderate: Security update for 389-ds
openSUSE Security Update: Security update for 389-ds
______________________________________________________________________________

Announcement ID: openSUSE-SU-2017:3362-1
Rating: moderate
References: #1007004 #1020670 #1051997 #1069067 #1069074
#997256
Cross-References: CVE-2016-4992 CVE-2016-5405 CVE-2017-2668
CVE-2017-7551
Affected Products:
openSUSE Leap 42.3
openSUSE Leap 42.2
______________________________________________________________________________

An update that solves four vulnerabilities and has two
fixes is now available.

Description:

This update for 389-ds fixes the following issues:

- CVE-2017-7551: 389-ds-base: Password brute-force possible for locked
account due to different return codes (bsc#1051997)
- CVE-2016-4992: 389-ds: Information disclosure via repeated use of LDAP
ADD operation (bsc#997256)
- CVE-2016-5405: 389-ds: Password verification vulnerable to timing attack
(bsc#1007004)
- CVE-2017-2591: 389-ds-base: Heap buffer overflow in uiduniq.c
(bsc#1020670)
- CVE-2017-2668 389-ds Remote crash via crafted LDAP messages (bsc#1069067)
- CVE-2016-0741: 389-ds: worker threads do not detect abnormally closed
connections causing DoS (bsc#1069074)


Patch Instructions:

To install this openSUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE Leap 42.3:

zypper in -t patch openSUSE-2017-1396=1

- openSUSE Leap 42.2:

zypper in -t patch openSUSE-2017-1396=1

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE Leap 42.3 (i586 x86_64):

389-ds-1.3.4.5-8.1
389-ds-debuginfo-1.3.4.5-8.1
389-ds-debugsource-1.3.4.5-8.1
389-ds-devel-1.3.4.5-8.1

- openSUSE Leap 42.2 (i586 x86_64):

389-ds-1.3.4.5-5.5.1
389-ds-debuginfo-1.3.4.5-5.5.1
389-ds-debugsource-1.3.4.5-5.5.1
389-ds-devel-1.3.4.5-5.5.1


References:

https://www.suse.com/security/cve/CVE-2016-4992.html
https://www.suse.com/security/cve/CVE-2016-5405.html
https://www.suse.com/security/cve/CVE-2017-2668.html
https://www.suse.com/security/cve/CVE-2017-7551.html
https://bugzilla.suse.com/1007004
https://bugzilla.suse.com/1020670
https://bugzilla.suse.com/1051997
https://bugzilla.suse.com/1069067
https://bugzilla.suse.com/1069074
https://bugzilla.suse.com/997256


< Previous Next >
This Thread
  • No further messages